import * as react_jsx_runtime from 'react/jsx-runtime';

declare const DEVICE_LIST_DEFAULTS: {
    page: number;
    perPage: number;
};
declare const timeUnits: {
    days: string;
    minutes: string;
    hours: string;
};
declare const ALL_DEVICES = "All devices";
declare const UNGROUPED_GROUP: {
    id: string;
    name: string;
};
declare const DEVICE_LIST_MAXIMUM_LENGTH = 50;
declare const DEVICE_FILTERING_OPTIONS: {
    $eq: {
        key: string;
        title: string;
        shortform: string;
    };
    $ne: {
        key: string;
        title: string;
        shortform: string;
    };
    $gt: {
        key: string;
        title: string;
        shortform: string;
        help: string;
    };
    $gte: {
        title: string;
        shortform: string;
        help: string;
    };
    $lt: {
        key: string;
        title: string;
        shortform: string;
        help: string;
    };
    $lte: {
        title: string;
        shortform: string;
        help: string;
    };
    $ltne: {
        key: string;
        title: string;
        shortform: string;
        help: string;
    };
    $in: {
        key: string;
        title: string;
        shortform: string;
        help: string;
    };
    $nin: {
        key: string;
        title: string;
        shortform: string;
        help: string;
    };
    $exists: {
        key: string;
        title: string;
        shortform: string;
        value: boolean;
        help: string;
    };
    $nexists: {
        key: string;
        title: string;
        shortform: string;
        value: boolean;
        help: string;
    };
    $regex: {
        key: string;
        title: string;
        shortform: string;
        help: string;
    };
};
declare const DEVICE_ISSUE_OPTIONS: {
    issues: {
        isCategory: boolean;
        key: string;
        title: string;
        filterRule: {};
    };
    offline: {
        issueCategory: string;
        key: string;
        needsFullFiltering: boolean;
        needsMonitor: boolean;
        needsReporting: boolean;
        filterRule: {
            scope: string;
            key: string;
            operator: string;
            value: ({ offlineThreshold }: {
                offlineThreshold: any;
            }) => any;
        };
        title: string;
    };
    failedLastUpdate: {
        issueCategory: string;
        key: string;
        needsFullFiltering: boolean;
        needsMonitor: boolean;
        needsReporting: boolean;
        filterRule: {
            scope: string;
            key: string;
            operator: string;
            value: boolean;
        };
        title: string;
    };
    monitoring: {
        issueCategory: string;
        key: string;
        needsFullFiltering: boolean;
        needsMonitor: boolean;
        needsReporting: boolean;
        filterRule: {
            scope: string;
            key: string;
            operator: string;
            value: boolean;
        };
        title: string;
    };
    authRequests: {
        key: string;
        needsFullFiltering: boolean;
        needsMonitor: boolean;
        needsReporting: boolean;
        filterRule: {
            scope: string;
            key: string;
            operator: string;
            value: number;
        };
        title: string;
    };
    gatewayDevices: {
        key: string;
        needsFullFiltering: boolean;
        needsMonitor: boolean;
        needsReporting: boolean;
        filterRule: {
            scope: string;
            key: string;
            operator: string;
            value: string;
        };
        title: string;
    };
};
declare const TIMEOUTS: {
    debounceDefault: number;
    debounceShort: number;
    halfASecond: number;
    oneSecond: number;
    twoSeconds: number;
    threeSeconds: number;
    fiveSeconds: number;
    refreshDefault: number;
    refreshLong: number;
};
declare const SORTING_OPTIONS: {
    asc: string;
    desc: string;
};
declare const DEVICE_ONLINE_CUTOFF: {
    interval: number;
    intervalName: string;
};
declare const ATTRIBUTE_SCOPES: {
    inventory: string;
    identity: string;
    monitor: string;
    system: string;
    tags: string;
};
declare const defaultIdAttribute: Readonly<{
    attribute: "id";
    scope: string;
}>;
declare const EXTERNAL_PROVIDER: {
    'iot-core': {
        credentialsType: string;
        icon: string;
        title: string;
        twinTitle: string;
        provider: string;
        enabled: boolean;
        deviceTwin: boolean;
        configHint: react_jsx_runtime.JSX.Element;
    };
    'iot-hub': {
        credentialsType: string;
        icon: string;
        title: string;
        twinTitle: string;
        provider: string;
        enabled: boolean;
        deviceTwin: boolean;
        configHint: react_jsx_runtime.JSX.Element;
    };
    webhook: {
        credentialsType: string;
        deviceTwin: boolean;
        enabled: boolean;
        provider: string;
    };
};
declare const MAX_PAGE_SIZE = 500;
declare const ALL_RELEASES = "All releases";
type UiPermissionsDefinition = Readonly<{
    auditlog: string[];
    deployments?: string[];
    groups: Record<string, string[]>;
    releases: Record<string, string[]>;
    tenantManagement: string[];
    userManagement: string[];
}>;
type UiRoleDefinition = {
    name: string;
    description: string;
    editable?: boolean;
    isCustom?: boolean;
    permissions?: object[];
    uiPermissions: UiPermissionsDefinition;
};
declare const emptyUiPermissions: UiPermissionsDefinition;
declare const emptyRole: UiRoleDefinition;

export { ALL_DEVICES, ALL_RELEASES, ATTRIBUTE_SCOPES, DEVICE_FILTERING_OPTIONS, DEVICE_ISSUE_OPTIONS, DEVICE_LIST_DEFAULTS, DEVICE_LIST_MAXIMUM_LENGTH, DEVICE_ONLINE_CUTOFF, EXTERNAL_PROVIDER, MAX_PAGE_SIZE, SORTING_OPTIONS, TIMEOUTS, UNGROUPED_GROUP, type UiPermissionsDefinition, type UiRoleDefinition, defaultIdAttribute, emptyRole, emptyUiPermissions, timeUnits };
